## blur-effect 1.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

set(target blur_image)

project(${target})

set(CMAKE_EXPORT_COMPILE_COMMANDS on)
option(BUILD_DEMO "build windowing demo" off)
#set(CMAKE_CXX_COMPILER "clang++")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wno-error")

set(blur-exps_VERSION_MAJOR 0)
set(blur-exps_VERSION_MINOR 1)

find_package(PkgConfig REQUIRED)

if (BUILD_DEMO)
pkg_check_modules(DEPS REQUIRED glew glfw3 gdk-pixbuf-2.0)
endif()

pkg_check_modules(DEPS2 REQUIRED gdk-pixbuf-2.0 libdrm gbm egl glesv2)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})
if (BUILD_DEMO)
include_directories(${DEPS_INCLUDE_DIRS})
endif()
include_directories(${DEPS2_INCLUDE_DIRS})

if (BUILD_DEMO)
add_executable(blur-exp src/main.cc)
target_link_libraries(blur-exp ${DEPS_LIBRARIES})
endif()

add_executable(blur_image src/blur_image.cc)
target_link_libraries(blur_image ${DEPS2_LIBRARIES})

# install stage
set(exes blur_image)
if (BUILD_DEMO)
    set(exes ${exes} blur-exp)
endif()
install(TARGETS ${exes} RUNTIME DESTINATION bin)

=== debian/changelog ===
blur-effect (1.1.3-2) unstable; urgency=medium

  * debian/blur_image.1: Fix grammar error.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Fix long description. (Closes: #982286)
  * debian/upstream/metadata: Fix lintian warnings.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Sep 2021 19:49:37 -0400

blur-effect (1.1.3-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Feb 2021 19:11:20 -0500

blur-effect (1.1.3-1~exp1) experimental; urgency=medium

  * Initial release as 1.1.3 (Closes: #980022).

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Tue, 02 Feb 2021 22:58:58 +0545

=== debian/control ===
Source: blur-effect
Section: graphics
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Clay Stan <claystan97@gmail.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libdrm-dev,
 libegl1-mesa-dev,
 libgbm-dev,
 libgdk-pixbuf-2.0-dev,
 libgles-dev,
 libglew-dev,
 libglm-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/sonald/blur-effect
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/blur-effect
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/blur-effect.git

Package: blur-effect
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Offscreen Image Blurring utility
 Blur-effect is an offscreen image blurring utility, based on efficient
 Gaussian blur with linear sampling.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%blur-effect-$1.tar.gz%" \
   https://github.com/sonald/blur-effect/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
